= render "projects/commits/head"
.row
  .col-md-6
    %div#activity-chart.chart
    %hr
    %p
      %b
        = t("projects_section.repositories.total_commits")
      %span= @repository.commit_count
    %p
      %b #{t("projects_section.repositories.total_files_in")} #{@repository.root_ref}:
      %span= @stats.files_count
    %p
      %b
        = t('projects_section.repositories.authors')
      %span= @stats.authors_count


  .col-md-6
    %h4
      = t('projects_section.repositories.top_committers')
    %ol.styled
      - @stats.authors[0...50].each do |author|
        %li
          = image_tag avatar_icon(author.email, 16), class: 'avatar s16', alt: ''
          = author.name
          %small.light= author.email
          .pull-right
            = author.commits


:javascript
  var labels = [#{@graph.labels.to_json}];
  var commits = [#{@graph.commits.join(', ')}];
  var title = "#{t('projects_section.repositories.commit_activity', count: @graph.weeks)}";
  Chart.init(labels, commits, title);